Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core
Class ImageSeriesDecodingController

    java.lang.Object
      |
      +--com.sun.jimi.core.ImageSeriesDecodingController

public abstract class ImageSeriesDecodingController
extends java.lang.Object

Class for controlling the decoding of a series of images.

Field Summary
`protected JimiDecodingController` | `currentController` controller of most recently fetched image
`static int` | `UNKNOWN` Constant meaning that the number of images in the series is not known.

Constructor Summary
`ImageSeriesDecodingController()`

Method Summary
`protected abstract JimiDecodingController` | `createNextController()`
`JimiDecodingController` | `getNextController()`
`java.awt.image.ImageProducer` | `getNextImageProducer()`
`JimiImage` | `getNextJimiImage()`
`int` | `getNumberOfImages()` Find out how many images there are in the series.
`abstract boolean` | `hasMoreImages()`
`abstract void` | `skipNextImage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  Constant meaning that the number of images in the series is not known.

### currentController

    protected JimiDecodingController currentController

  controller of most recently fetched image

Constructor Detail

### ImageSeriesDecodingController

    public ImageSeriesDecodingController()

Method Detail

### getNextJimiImage

    public JimiImage getNextJimiImage()

### getNextImageProducer

    public java.awt.image.ImageProducer getNextImageProducer()

### skipNextImage

    public abstract void skipNextImage()
                                throws JimiException

### hasMoreImages

    public abstract boolean hasMoreImages()

### createNextController

    protected abstract JimiDecodingController createNextController()

### getNumberOfImages

    public int getNumberOfImages()

  Find out how many images there are in the series.
  Returns:
    the number of images, or UNKNOWN if it cannot be determined

### getNextController

    public JimiDecodingController getNextController()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD